%define oname   rbot

Name:           ruby-%{oname}
Version:        0.9.15
Release:        %mkrel 14
Summary:        A modular ruby IRC bot
Group:          Development/Ruby
License:        MIT
URL:            http://ruby-rbot.org
Source0:        http://rubygems.org/downloads/%{oname}-%{version}.gem
Patch0:         rbot-0.9.15-gempackagetask.patch
BuildRequires:  rubygems 
BuildRequires:  ruby-rake
BuildArch:      noarch

%description
A modular ruby IRC bot specifically designed for ease of extension via
plugins.


%prep
%gem_setup
%autopatch -p1

%build
%gem_build

%install
%gem_install

%files
%{_bindir}/rbot
%{_bindir}/rbot-remote
%{gem_instdir}/
%{gem_extdir_mri}/
%{gem_spec}
%doc %{gem_docdir}


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.9.15-14.mga8
+ Revision: 1499894
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.9.15-13.mga7
+ Revision: 1275198
- Mageia 7 Mass Rebuild

* Wed Feb 17 2016 daviddavid <daviddavid> 0.9.15-12.mga6
+ Revision: 964330
- remove empty lang files to fix build with latest rpm
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.9.15-11.mga5
+ Revision: 745991
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.15-10.mga5
+ Revision: 688923
- Mageia 5 Mass Rebuild

* Sat Dec 28 2013 pterjan <pterjan> 0.9.15-9.mga4
+ Revision: 561701
- Fix gem macros

* Sat Oct 19 2013 umeabot <umeabot> 0.9.15-8.mga4
+ Revision: 535653
- Mageia 4 Mass Rebuild

* Fri Sep 20 2013 pterjan <pterjan> 0.9.15-7.mga4
+ Revision: 482290
- Rebuild for Ruby 2

* Sun Sep 15 2013 pterjan <pterjan> 0.9.15-6.mga4
+ Revision: 480100
- Fix file list
- Use gem_setup
- Patch Rakefile to not use obsolete gempackagetask

* Fri Feb 08 2013 umeabot <umeabot> 0.9.15-5.mga3
+ Revision: 396361
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 0.9.15-4.mga3
+ Revision: 381345
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 25 2012 pterjan <pterjan> 0.9.15-3.mga3
+ Revision: 321897
- Add missing buildrequires
+ fwang <fwang>
- rebuild for new ruby

* Sun Jan 22 2012 kamil <kamil> 0.9.15-2.mga2
+ Revision: 199458
- rebuild against new tokyocabinet-1.4.47
- clean .spec

* Sun Apr 17 2011 shikamaru <shikamaru> 0.9.15-1.mga1
+ Revision: 87160
- imported package ruby-rbot


* Mon Feb 07 2011 Rémy Clouard <shikamaru@mandriva.org> - 0.9.15-1mdv2011.0
- Initial package
